fosfat_file_t Struct Reference

`#include <fosfat.h>`

## Data Fields

char | name [FOSFAT_NAMELGT]
int | size
fosfat_att_t | att
fosfat_time_t | time_c
fosfat_time_t | time_w
fosfat_time_t | time_r

## Detailed Description

List of files in a directory.

Definition at line 92 of file fosfat.h.

## Field Documentation

## att

fosfat_att_t fosfat_file_t::att

File attributes.

Definition at line 95 of file fosfat.h.

## name

char fosfat_file_t::name[FOSFAT_NAMELGT]

File name.

Definition at line 93 of file fosfat.h.

## size

int fosfat_file_t::size

File size.

Definition at line 94 of file fosfat.h.

## time_c

fosfat_time_t fosfat_file_t::time_c

Creation date.

Definition at line 96 of file fosfat.h.

## time_r

fosfat_time_t fosfat_file_t::time_r

Use date.

Definition at line 98 of file fosfat.h.

## time_w

fosfat_time_t fosfat_file_t::time_w

Writing date.

Definition at line 97 of file fosfat.h.

The documentation for this struct was generated from the following file:

- fosfat.h